Subject: Re: formal way to map from pf to vfs when using VT-d?

From: Chris Friesen <[email-masked]>
Date: Fri, 08 Jun 2012 14:41:38 -0600

On 06/08/2012 02:14 PM, Chris Friesen wrote:
>
> Hi,
>
> I'm using the igb/igbvf drivers.  If I set igb.max_vfs=7,7,7,7 it 
> creates 7 vfs for each of my pfs.  So far so good.
>
> Now, how do I map from a given pf to the PCI addresses for the set of 
> vfs that are associated with it?  I don't have virsh installed, so is 
> there a way to query this with sysfs or something?
>

I think I found it.../sys/class/net/eth0/device/ has "virtfnX" entries 
which are symlinks to the appropriate pci address.

Chris